#include "qgrexconnectiondialog.h"
#include "ui_qgrexnodeconnectionwidget.h"

QgRexNodeConnectionWidget::QgRexNodeConnectionWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::QgRexNodeConnectionWidget)
{
    ui->setupUi(this);
}

QgRexNodeConnectionWidget::~QgRexNodeConnectionWidget()
{
    delete ui;
}



class QgRexConnectionDialog::Implementaiton
{
public:
    QList<QgRexNodeConnectionWidget*> nodes;
};



QgRexConnectionDialog::QgRexConnectionDialog(const QString pref_net, QWidget* parent):
    QgNetworkConnectionDialog(pref_net, parent),
    p_(*new Implementaiton)
{
    QgRexNodeConnectionWidget* node=new QgRexNodeConnectionWidget;
    node->setObjectName("con_node_eif");
    node->ui->groupBox->setTitle("EIF");
    p_.nodes.push_back(node);
    this->addWidget(node);
}

QgRexConnectionDialog::~QgRexConnectionDialog()
{
    delete &p_;
}
